Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.type
Class OdfDate

    java.lang.Object
      org.odftoolkit.odfdom.dom.type.OdfDate

    public class OdfDate

extends Object

DOM implementation of OpenDocument data type 'date'

Constructor Summary
`OdfDate(XMLGregorianCalendar date)` Construct OdfDate by the parsing the given string

Method Summary
`XMLGregorianCalendar` | `getValue()` Returns the value of this OdfDate object as an XMLGregorianCalendar
`String` | `toString()` Returns a String Object representing this OdfDate's value
`static OdfDate` | `valueOf(String stringValue)` Returns an OdfDate instance representing the specified String value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OdfDate

    public OdfDate(XMLGregorianCalendar date)

  Construct OdfDate by the parsing the given string

  Parameters:
    `date` - The String to be parsed into OdfDate

Method Detail

### toString

    public String toString()

  Returns a String Object representing this OdfDate's value

  Overrides:
    `toString` in class `Object`
  Returns:
    return a string representation of the value of this OdfDate object

### valueOf

    public static OdfDate valueOf(String stringValue)

  Returns an OdfDate instance representing the specified String value

  Parameters:
    `stringValue` - a String value
  Returns:
    return an OdfDate instance representing stringValue

### getValue

    public XMLGregorianCalendar getValue()

  Returns the value of this OdfDate object as an XMLGregorianCalendar

  Returns:
    the XMLGregorianCalendar value of this OdfDate object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.